#!/usr/bin/env python
#
from distutils.core import setup
from DistUtilsExtra.command import *

import glob

setup(name="unity-scopes-music-extras",
      version="0.2",
      author="Mark Tully",
      author_email="markjtully@gmail.com",
      url="https://launchpad.net/~markjtully",
      license="GNU General Public License Version 2 (GPLv2)",
      scripts=[
          'scopes/clementine/unity-scope-clementine',
          'scopes/guayadeque/unity-scope-guayadeque',
          'scopes/gmusicbrowser/unity-scope-gmusicbrowser',
          'scopes/rhythmbox/unity-scope-rhythmbox',
      ],
      data_files=[
          ('/usr/share/dbus-1/services', [
              'scopes/clementine/extras-unity-scope-clementine.service',
              'scopes/guayadeque/extras-unity-scope-guayadeque.service',
              'scopes/gmusicbrowser/extras-unity-scope-gmusicbrowser.service',
              'scopes/rhythmbox/extras-unity-scope-rhythmbox.service']),
          ('/usr/share/unity/lenses/music', [
              'scopes/clementine/extras-unity-scope-clementine.scope',
              'scopes/guayadeque/extras-unity-scope-guayadeque.scope',
              'scopes/gmusicbrowser/extras-unity-scope-gmusicbrowser.scope',
              'scopes/rhythmbox/extras-unity-scope-rhythmbox.scope']),
          ('/etc/apparmor.d', [
              'scopes/clementine/opt.extras.ubuntu.com.unity-scope-clementine.unity-scope-clementine',
              'scopes/guayadeque/opt.extras.ubuntu.com.unity-scope-guayadeque.unity-scope-guayadeque',
              'scopes/gmusicbrowser/opt.extras.ubuntu.com.unity-scope-gmusicbrowser.unity-scope-gmusicbrowser',
              'scopes/rhythmbox/opt.extras.ubuntu.com.unity-scope-rhythmbox.unity-scope-rhythmbox']),
          ('icons', glob.glob('icons/*.png')), 
      ],
      cmdclass={"build":  build_extra.build_extra, }
)
